Skip to main content
GET
/
coupon-list
/
{coupon_list_id}
Fetch Coupon List Details
curl --request GET \
  --url https://api-0{dc}.moengage.com/v1/coupon-list/{coupon_list_id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'MOE-APPKEY: <moe-appkey>'
{
  "name": "signup coupons",
  "label": "signup_coupons",
  "expires_at": "2024-10-26T18:29:00.000Z",
  "status": "ACTIVE",
  "total_coupons": 0,
  "created_at": "2024-10-01T11:29:00.000Z",
  "updated_at": "2024-10-01T11:39:00.000Z",
  "email_alert_subscribers": [
    "john.doe@example.com"
  ],
  "alert_conditions": {
    "success_alert": true,
    "failure_alert": true,
    "expiry_alert": {
      "alert": true,
      "days_before": 100
    },
    "coupon_shortage_alert": {
      "alert": true,
      "threshold_count": 100
    }
  },
  "available_coupons": 0,
  "personalization_snippet": "{{Coupons.CouponListName[signup_coupons]}}",
  "created_by": "test_user",
  "_id": "{{coupon_list_id}}"
}
InformationThere is no request body or content to send for this request except for headers and parameters.

Rate Limit

You can fetch 10000 coupon lists per day.

Authorizations

Authorization
string
header
required

Uses Workspace ID as username and API Key as password.

Headers

MOE-APPKEY
string
required

This is the workspace ID (earlier APP ID) of your MoEngage workspace. The MOE-APPKEY has to be passed in the request. You can find your MoEngage Workspace ID in the MoEngage Dashboard: Settings -> Account -> APIs -> Workspace ID (earlier app id).

Path Parameters

coupon_list_id
string
required

The unique identifier for the coupon list.

Response

Success Indicates that the request is successful and the coupon list is fetched.

name
string

This field consists of the unique name of the coupon list.

label
string

This field consists of the label name for the fetched coupon list.

expires_at
string

This field consists of the expiry date of the coupon list in yyyy-mm-dd format.

status
string

This field shows one of the following statuses of the fetched coupon list:

  • ACTIVE
  • EXPIRED
  • ARCHIVED
total_coupons
integer

This field consists of the total number of coupons in the coupon list.

created_at
string

This field consists of the date and time the coupon list was created.

updated_at
string

This field consists of the date and time of the most recent update to the coupon list.

email_alert_subscribers
string[]

This field consists of the email address of the coupon list subscriber.

alert_conditions
object

This field consists of the alert conditions and their statuses specified while creating the coupon list.

available_coupons
integer

This field consists of the available number of coupons in coupon list.

personalization_snippet
string

This field consists of the personalization snippet of the coupon list.

created_by
string

This field consists of the user name who created the fetched coupon list.

_id
string

This field contains the unique ID corresponding to a successful coupon list fetch request. This ID is also used to update and archive coupon lists.